## org.omg.PortableServer
Class ServantManagerPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.PortableServer.ServantManagerPOA
                  |
                  +--org.omg.PortableServer.ServantManagerPOATie

All Implemented Interfaces:
  InvokeHandler, ServantManagerOperations

public class ServantManagerPOATie
extends ServantManagerPOA

Interface definition : ServantManager

Author:
  OpenORB Compiler

Constructor Summary
`ServantManagerPOATie(ServantManagerOperations tieObject)` Constructor
`ServantManagerPOATie(ServantManagerOperations tieObject, POA poa)` Constructor

Method Summary
`POA` `_default_POA()` _default_POA method
`ServantManagerOperations` `_delegate()` Get the delegate
`void` `_delegate(ServantManagerOperations delegate_)` Set the delegate

Methods inherited from class org.omg.PortableServer.ServantManagerPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantManagerPOATie

    public ServantManagerPOATie(ServantManagerOperations tieObject)

  Constructor

### ServantManagerPOATie

    public ServantManagerPOATie(ServantManagerOperations tieObject,
                                POA poa)

  Constructor

Method Detail

### _delegate

    public ServantManagerOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(ServantManagerOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`